# Uses of Enum Class
com.ocient.jdbc.XGConnection.HandshakeType

Packages that use XGConnection.HandshakeType
Package
Description
com.ocient.jdbc

## Uses of XGConnection.HandshakeType in com.ocient.jdbc

Methods in com.ocient.jdbc that return XGConnection.HandshakeType
Modifier and Type
Method
Description
`static XGConnection.HandshakeType`
XGConnection.HandshakeType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static XGConnection.HandshakeType[]`
XGConnection.HandshakeType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.ocient.jdbc that return types with arguments of type XGConnection.HandshakeType
Modifier and Type
Method
Description
`Optional<XGConnection.HandshakeType>`
XGConnection.ConnectionProperty.`getHandshakeType(Properties properties)`